<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.devplatform.equipment.modules.eppatrolpointresult.dao.EpPatrolPointResultDao">
  <!-- Result Map -->
  <resultMap id="BaseResultMap" type="com.devplatform.equipment.modules.eppatrolpointresult.bean.EpPatrolPointResult">
    <result column="id" property="id"/>
    <result column="result_id" property="resultId"/>
    <result column="point_id" property="pointId"/>
    <result column="point_name" property="pointName"/>
    <result column="patrol_time" property="patrolTime"/>
    <result column="patrol_status" property="patrolStatus"/>
    <result column="create_user_id" property="createUserId"/>
    <result column="create_time" property="createTime"/>
    <result column="byx1" property="byx1"/>
    <result column="byx2" property="byx2"/>
    <result column="byx3" property="byx3"/>
    <result column="sys_sign" property="sysSign"/>
    <result column="station_id" property="stationId"/>
    <result column="deleted" property="deleted"/>
  </resultMap>

  <!-- ep_patrol_point_result table all fields -->
  <sql id="Base_Column_List">
		id,result_id,point_id,point_name,patrol_time,patrol_status,create_user_id,create_time,byx1,byx2,byx3,sys_sign,station_id,deleted
	</sql>

  <!-- 公共查询条件 -->
  <sql id="Example_Where_Clause">
    where deleted=0
    <if test="id!=null and id!=''">and id = #{id}</if>
    <if test="resultId!=null and resultId!=''">and result_id = #{resultId}</if>
    <if test="pointId!=null and pointId!=''">and point_id = #{pointId}</if>
    <if test="pointName!=null and pointName!=''">and point_name = #{pointName}</if>
    <if test="patrolTime!=null ">and patrol_time = #{patrolTime}</if>
    <if test="patrolStatus!=null ">and patrol_status = #{patrolStatus}</if>
    <if test="createUserId!=null and createUserId!=''">and create_user_id = #{createUserId}</if>
    <if test="createTime!=null ">and create_time = #{createTime}</if>
    <if test="byx1!=null and byx1!=''">and byx1 = #{byx1}</if>
    <if test="byx2!=null and byx2!=''">and byx2 = #{byx2}</if>
    <if test="byx3!=null and byx3!=''">and byx3 = #{byx3}</if>
    <if test="sysSign!=null and sysSign!=''">and sys_sign = #{sysSign}</if>
    <if test="stationId!=null and stationId!=''">and station_id = #{stationId}</if>
    <if test="deleted!=null ">and deleted = #{deleted}</if>
  </sql>
  <select id="getByResultId" parameterType="string"
    resultType="com.devplatform.equipment.modules.eppatrolpointresult.bean.EpPatrolPointResult">
    SELECT
    <include refid="Base_Column_List"></include>
    FROM ep_patrol_point_result WHERE result_id =#{id}
    <if test="stationId!=null and stationId!=''">and station_id = #{stationId}</if>
  </select>


</mapper>


